<< flattopwin | FOSSEE_Signal_Processing_Toolbox | freqz >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > fractdiff

# fractdiff

Compute the fractional differences (1-L)^d x where L denotes the lag-operator and d is greater than -1.

### Syntax

    y = fractdiff(x, d)

### Parameters

x:

  Vector. The input series to be differenced.

d:

  Scalar. The fractional differencing parameter. Must be greater than -1.

y:

  Vector. The fractionally differenced series.

### Description

This function computes the fractional differences (1-L)^d x, where L denotes the lag-operator and d is greater than -1.

### Examples

    y = fractdiff([1, 2, 3, 4], 0.5)

Report an issue
<< flattopwin | FOSSEE_Signal_Processing_Toolbox | freqz >>